#!/bin/sh

# convert .bit to .mcs, the result can be written to flash without erasing an existing SDBFS on it
promgen -w -spi -p mcs -c FF -s 32768 -u 0 crio_wr_pmu_top.bit -o crio_wr_pmu.mcs

# alternative .mcs with empty SDBFS appended. It should be used if there is no SDBFS on the flash
wget http://www.ohwr.org/attachments/download/4558/sdbfs-standalone-160812.bin -O /tmp/sdbfs-standalone-160812.bin
promgen -w -spi -p mcs -c FF -s 32768 -u 0 crio_wr_pmu_top.bit -bd /tmp/sdbfs-standalone-160812.bin start 0x170000 -o crio_wr_pmu_sdbfs.mcs
rm /tmp/sdbfs-standalone-160812.bin
